Re: Ad-hoc Debian Python BoF at PyCon US 2017

2017-06-20 Thread Jeremy Stanley
On 2017-06-20 16:40:26 +0200 (+0200), Matthias Klose wrote: [...] > another one many openstack packages. [...] Spot checking the source packages in the archive currently, it looks like Thomas already has most of these done. By way of background there, a coordinated effort has been underway for

Re: Ad-hoc Debian Python BoF at PyCon US 2017

2017-06-20 Thread Matthias Klose
On 10.06.2017 05:32, Barry Warsaw wrote: > On Jun 06, 2017, at 10:57 AM, Sandro Tosi wrote: > >> if we plan (and it looks like we do) to support and distribute 2.7 >> with buster, why not support it *properly*? what's the point of >> deprecating python2.7? either we ship it or not, but if we do

Re: Ad-hoc Debian Python BoF at PyCon US 2017

2017-06-10 Thread Scott Kitterman
On Friday, June 09, 2017 08:32:38 PM Barry Warsaw wrote: > On Jun 06, 2017, at 10:57 AM, Sandro Tosi wrote: > >if we plan (and it looks like we do) to support and distribute 2.7 > >with buster, why not support it *properly*? what's the point of > >deprecating python2.7? either we ship it or not,

Re: Ad-hoc Debian Python BoF at PyCon US 2017

2017-06-09 Thread Barry Warsaw
On Jun 06, 2017, at 10:57 AM, Sandro Tosi wrote: >if we plan (and it looks like we do) to support and distribute 2.7 >with buster, why not support it *properly*? what's the point of >deprecating python2.7? either we ship it or not, but if we do then >let's not cripple it by removing python2

Re: Ad-hoc Debian Python BoF at PyCon US 2017

2017-06-06 Thread Sandro Tosi
> == Deprecate Python 2 == > > Lintian checks for python 2 only packages > Lintian checks for /usr/bin/python2? shebangs please dont (as in "favor python3" but dont actively discourage python2 development/packaging), see below > == python 2.7s future == > > Buster *may* be the last Debian

Ad-hoc Debian Python BoF at PyCon US 2017

2017-05-24 Thread Stefano Rivera
Doko, Barry, and I found ourselves in a room at PyCon US. These are the minutes of our discussion: == Deprecate Python 2 == Lintian checks for python 2 only packages Lintian checks for /usr/bin/python2? shebangs Ask FTP-master not to accept Python 2 only packages. Start using python3-sphinx